Subject: New Reply Received - Hello I have a missing order and a very delayed delivery that I haven’t been able to receive for the...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Fri, 09 Apr 2021 14:18:19 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  Hello I have a missing order and a very delayed delivery that I haven’t been able to receive for the...  Ticket comment <div>Yes your customer service called from (04) 825 0666 and I specifically said it’s old shahama, I don’t know why is it shakhbout, they then called me on Thursday saying They can’t deliver because they don’t have the right permit papers to enter abu dhbai and today the driver cancelled on me because he was like by the time I reach you it will be outside his working hours. Why am I getting staff that is complaining to me about lack of permits and working outside their hours instead of delivering is this even professional?</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2377284